## org.eclipse.jet
Class JET2TemplateManager

    java.lang.Object
      org.eclipse.jet.JET2TemplateManager

    public class JET2TemplateManager

extends java.lang.Object

Mananger for operations that dynamically invoke JET2 templates. Operations implement `JET2TemplateManager.ITemplateOperation` and are run via `run(String[], org.eclipse.jet.JET2TemplateManager.ITemplateOperation)`. The operation may then dynamically load and execute templates found in the provided plug-ins via the passed `JET2TemplateManager.ITemplateRunner`.

Provisional API. This API is subject to breaking change or removal.

Nested Class Summary
`static interface` `JET2TemplateManager.ITemplateOperation` Protocol for a dynamic template operation.
`static interface` `JET2TemplateManager.ITemplateRunner` Defines the protocol for an operation that dynamically invokes JET2 templates.

Method Summary
`static void` `run(java.lang.String[] pluginIDs, JET2TemplateManager.ITemplateOperation operation)` Execute a JET templates that are loaded dynamically from the provided Eclipse plug-ins.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### run

    public static void run(java.lang.String[] pluginIDs,
                           JET2TemplateManager.ITemplateOperation operation)
                    throws org.osgi.framework.BundleException

  Execute a JET templates that are loaded dynamically from the provided Eclipse plug-ins. Each plug-in ID must be the ID of an already loaded plug-in, or of a plug-in in the Eclipse workspace. The plug-in list is search in order until a template is found.

  Parameters:
    `pluginIDs` - a non-empty list of Eclipse plug-in ids.
    `operation` - an operation that will consume the templates
  Throws:
    `org.osgi.framework.BundleException` - if one of the plug-ins cannot be loaded
    `java.lang.NullPointerException` - if pluginIDs is `null`, or if any element is `null`
    `java.lang.IllegalArgumentException` - if pluginIDs has zero length

Copyright 2006 IBM Corporation and others. All Rights Reserved.